<section class="o-card -blue -no-overflow -last">
  <div class="o-card__container">
    <h2 class="o-card__title">Start een nieuw huishouden</h2>
    <div
      class="m-create-household"
      [@formVisbility]="createhouseholdFormVisible ? 'visible' : 'hidden'"
      (@formVisbility.done)="setFormScrollDone()"
    >
      <div class="m-create-household__panel">
        <ul class="a-alerts" *ngIf="errors">
          <li class="a-alert -error -can-dismiss" *ngFor="let error of errors">
            {{ error }}
            <button class="a-alert__dismiss" (click)="closeError(error)">
              <span><mat-icon>close</mat-icon></span>
            </button>
          </li>
        </ul>
        <form
          [formGroup]="createHouseholdForm"
          (submit)="onCreateHousehold(createHouseholdForm)"
          [class.hidden]="formScrolledDone"
        >
          <div class="m-form-group">
            <label class="m-form-group__label" for="create-household-name"
              >Naam van je huishouden</label
            >
            <input
              type="text"
              placeholder="Huishouden"
              id="create-household-name"
              class="a-form-control"
              formControlName="householdName"
              maxlength="24"
            />
            <ul class="m-form-group__messages">
              <li
                class="m-form-group__message -error"
                *ngIf="
                  householdNameControl.dirty &&
                  householdNameControl.touched &&
                  (householdNameControl.hasError('maxlength') ||
                    householdNameControl.hasError('minlength'))
                "
              >
                <span><mat-icon>error</mat-icon></span> De naam van je
                huishouden moet tussen de 3 en 24 tekens lang zijn.
              </li>
            </ul>
          </div>
          <div class="m-form-group">
            <label class="m-form-group__label" for="create-username"
              >Je (bij)naam</label
            >
            <input
              type="text"
              placeholder="(Bij)naam"
              id="create-username"
              class="a-form-control"
              formControlName="username"
              maxlength="32"
            />
            <ul class="m-form-group__messages">
              <li
                class="m-form-group__message -error"
                *ngIf="
                  usernameControl.dirty &&
                  usernameControl.touched &&
                  (usernameControl.hasError('maxlength') ||
                    usernameControl.hasError('minlength'))
                "
              >
                <span><mat-icon>error</mat-icon></span> Je (bij)naam moet tussen
                de 2 en 32 tekens lang zijn.
              </li>
            </ul>
          </div>
          <div class="m-form-group">
            <label class="m-form-group__label" for="create-email"
              >Je e-mailadres</label
            >
            <input
              type="email"
              placeholder="E-mailadres"
              id="create-email"
              class="a-form-control"
              formControlName="email"
            />
            <ul class="m-form-group__messages">
              <li
                class="m-form-group__message -error"
                *ngIf="
                  emailControl.dirty &&
                  emailControl.touched &&
                  emailControl.hasError('email')
                "
              >
                <span><mat-icon>error</mat-icon></span> Vul een geldig
                e-mailadres is.
              </li>
            </ul>
          </div>
          <div class="m-form-group -last">
            <button
              type="submit"
              class="a-button -block -blue -large"
              [disabled]="!createHouseholdForm.valid || isCreatingHousehold"
              [class.-is-loading]="isCreatingHousehold"
            >
              Start mijn huishouden
            </button>
          </div>
        </form>
      </div>
      <div class="m-create-household__panel -last">
        <app-get-started
          [householdCode]="householdCode"
          [householdName]="createHouseholdForm.value.householdName"
          [hasMargin]="true"
        >
          <p>
            <strong>{{ createHouseholdForm.value.householdName }}</strong> werd
            aangemaakt!
          </p>
          <p>
            Nog één ding. Deel deze app en code met je huisgenoten. Je kan deze
            code later terugvinden onder instellingen.
          </p>
        </app-get-started>
        <button
          class="a-button -block -blue -large"
          routerLink="/household/overview"
        >
          Ga mijn huishouden binnen
        </button>
      </div>
    </div>
  </div>
</section>
